---
lang: en
title: 'API docs: rest.assignrouterspec'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.rest.assignrouterspec.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest](./rest.md) &gt; [assignRouterSpec](./rest.assignrouterspec.md)

## assignRouterSpec() function

<b>Signature:</b>

```typescript
export declare function assignRouterSpec(target: RouterSpec, additions: RouterSpec): void;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  target | <code>RouterSpec</code> |  |
|  additions | <code>RouterSpec</code> |  |

<b>Returns:</b>

`void`


